using Entities.DTO;
using System.Net;

namespace TechHelper.Client.HttpRepository
{
	public interface IAuthenticationClientService
	{
		Task<ResponseDto> RegisterUserAsync(UserForRegistrationDto userForRegistrationDto);
		Task<AuthResponseDto> LoginAsync(UserForAuthenticationDto userForAuthenticationDto);
		Task LogoutAsync();
		Task<string> RefreshTokenAsync();
		Task<HttpStatusCode> ForgotPasswordAsync(ForgotPasswordDto forgotPasswordDto);
		Task<ResetPasswordResponseDto> ResetPasswordAsync(ResetPasswordDto resetPasswordDto);
		Task<HttpStatusCode> EmailConfirmationAsync(string email, string token);
		Task<AuthResponseDto> LoginVerfication(TwoFactorVerificationDto twoFactorVerificationDto);
	}
}
